LQwD FinTech Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/lqwd-fintech-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759104000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://lqwdtech.com/2025/lqwd-acquires-additional-bitcoin-increasing-its-holdings-to-252-5-btc/",
    "holding_balance": 252.5,
    "holding_net_change": 14.0,
    "transaction_value_usd": 1558295.0,
    "average_entry_value_usd": 111306.79,
    "transaction_value_calculated": false
  },
  {
    "date": 1776297600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://lqwdtech.com/news/lqwd-technologies-acquires-additional-bitcoin-increasing-its-holdings-to-262-btc",
    "holding_balance": 262.0,
    "holding_net_change": 9.5,
    "transaction_value_usd": 737708.0,
    "average_entry_value_usd": 77653.47,
    "transaction_value_calculated": false
  },
  {
    "date": 1778544000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://lqwdtech.com/news/lqwd-technologies-increases-bitcoin-treasury-and-expands-productive-network-capital-on-lightning",
    "holding_balance": 267.0,
    "holding_net_change": 5.0,
    "transaction_value_usd": 387005.0,
    "average_entry_value_usd": 77401.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    267.0
  ],
  [
    1782950400000,
    267.0
  ],
  [
    1783036800000,
    267.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    16010534.85
  ],
  [
    1782950400000,
    16417250.61
  ],
  [
    1783036800000,
    16694439.33
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.74,
    "date": "2026-06-29",
    "high": 0.76,
    "open": 0.76,
    "close": 0.74,
    "volume": 9500
  },
  {
    "low": 0.75,
    "date": "2026-06-30",
    "high": 0.75,
    "open": 0.75,
    "close": 0.75,
    "volume": 6600
  },
  {
    "low": 0.76,
    "date": "2026-07-02",
    "high": 0.79,
    "open": 0.76,
    "close": 0.76,
    "volume": 28200
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": -0.02
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -17.39,
  "six_month_return": -23.23,
  "three_month_return": -17.39
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/lqwd-fintech-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 67.9,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}